package com.chenyang.druid.sql.dialect.db2.ast.stmt;

import com.chenyang.druid.DbType;
import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.SQLStatementImpl;
import com.chenyang.druid.sql.dialect.db2.visitor.DB2ASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class DB2AlterSynonymStatement extends SQLStatementImpl implements DB2SQLStatement {
   private SQLName name;
   private SQLName newName;
   private boolean rename;
   private boolean owner;

   public boolean isRename() {
      return this.rename;
   }

   public void setRename(boolean rename) {
      this.rename = rename;
   }

   public boolean isOwner() {
      return this.owner;
   }

   public void setOwner(boolean owner) {
      this.owner = owner;
   }

   public SQLName getNewName() {
      return this.newName;
   }

   public void setNewName(SQLName newName) {
      this.newName = newName;
   }

   public DB2AlterSynonymStatement() {
      this.dbType = DbType.db2;
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((DB2ASTVisitor)visitor);
   }

   public void accept0(DB2ASTVisitor visitor) {
      visitor.visit(this);
   }

   public SQLName getName() {
      return this.name;
   }

   public void setName(SQLName name) {
      this.name = name;
   }
}
